Subject: Re: [RFC PATCH v4 04/19] Makefile: extract script to massage Perl scripts

From: Patrick Steinhardt <[email-masked]>
Date: Mon, 11 Nov 2024 11:36:22 +0100

On Sun, Nov 10, 2024 at 02:36:49PM +0000, Phillip Wood wrote:
> Hi Patrick
> 
> On 24/10/2024 13:39, Patrick Steinhardt wrote:
> > 
> > +	add_custom_command(OUTPUT ${CMAKE_BINARY_DIR}/${perl_gen_path}
> > +		COMMAND ${CMAKE_SOURCE_DIR}/generate-perl.sh
> 
> This is missing ${SH_EXE} in order to work with cmd.exe on windows when
> running the build from Visual Studio. Also do we want to quote the command
> arguments in case there is a ';' in the path - we seem to be a bit
> inconsistant in about that in CMakeLists.txt. Also we should add VERBATIM so
> that special characters in the arguments are quoted when generating the
> build rules.

Indeed, I also had it in my mind to revisit these patches and fix them
up based on Dscho's findings in the other thread. Thanks for being
proactive and pointing them out!

Patrick